/*********************************************************************
 * \file   AssetTypeID.cpp
 *
 * \author Romain BOULLARD
 * \date   May 2026
 *********************************************************************/
#include <Engine/Asset/AssetTypeID.hpp>

#include <Engine/Asset/AssetTypeID_generated.hpp>

namespace flatbuffers
{
Flat::Bigfoot::AssetTypeID Pack(const Bigfoot::AssetTypeID& p_assetTypeID)
{
    return Flat::Bigfoot::AssetTypeID {p_assetTypeID};
}

/****************************************************************************************/

Bigfoot::AssetTypeID UnPack(const Flat::Bigfoot::AssetTypeID& p_flatAssetTypeID)
{
    return Bigfoot::AssetTypeID {p_flatAssetTypeID.value()};
}
}   // namespace flatbuffers
